## Class setup_error

boost::log::setup_error — Exception class that is used to indicate invalid library setup.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class setup_error : public logic_error {
    public:
      // construct/copy/destruct
      setup_error();
      explicit setup_error(std::string const &);
      ~setup_error();
    };

## Description

### `setup_error` public construct/copy/destruct

1.     setup_error();

   Default constructor. Creates an exception with the default error message.

2.     explicit setup_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~setup_error();

   Destructor